/*
 * PrekrocenaMaxRychlostException.java
 *
 * Created on 12. bezen 2007, 23:10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package automobily;

import java.text.*;

/**
 *
 * @author balikm1
 */
public class PrekrocenaMaxRychlostException extends Exception {
    
    private double aktualniRychlost;
    private double maxRychlost;
    
    /** Creates a new instance of PrekrocenaMaxRychlostException */
    public PrekrocenaMaxRychlostException(double aktualniRychlost, double maxRychlost) {
        super("Prekrocena maximalni rychlost vozu");
        this.aktualniRychlost = aktualniRychlost;
        this.maxRychlost = maxRychlost;
    }
    
    public String toString()
    {
        DecimalFormat formatter = new DecimalFormat("#0.00");
        return "Prekrocil jsi maximalni rychlost vozu " + formatter.format(this.maxRychlost) + ". Jel jsi " + formatter.format(this.aktualniRychlost) + ".";
    }
}
