/*
 * Auto.java
 *
 * Created on 12. bezen 2007, 23:10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package automobily;

import java.util.*;

/**
 *
 * @author balikm1
 */
public abstract class Auto implements Riditelne, Opravitelne {
    
    protected double rychlost, najetoKm;
    protected double vaha, maxRychlost;
    protected int  pocetSedadel;
    protected String znacka;
    
    protected ArrayList<Soucastka> soucastky;
    
    /** Creates a new instance of Auto */
    public Auto() {
    }
    
    /** Konstruktor - Pro vytvoreni noveho auta   */
    public Auto(String znacka, double maxRychlost, double vaha, int pocetSedadel) {
	this.znacka = znacka;
	this.maxRychlost = maxRychlost;
	this.vaha = vaha;
	this.pocetSedadel = pocetSedadel;
        
        this.soucastky = new ArrayList<Soucastka>();
	this.najetoKm = 0;
        this.rychlost = 0;
    }
    
    public void pridejSoucastku(Soucastka soucastka) {
	soucastky.add(soucastka);
    }
    
    /** Pokusi se opravit auto. Opravi jen rozbite a opravitelne soucastky. */
    public void oprav() {
	for (int f=0;f<soucastky.size();f++) {
	    try {
		if (soucastky.get(f).isRozbita()) {
		    ((Opravitelne)soucastky.get(f)).oprav();
		}
	    } catch(ClassCastException e) {}
	}
    }
    
    /** Zjisti, jestli ma auto rozbite soucastky. */
    public boolean isRozbite() {
	for (int f=0;f<soucastky.size();f++) {
	    if (soucastky.get(f).isRozbita()) return true; //nalezena rozbita soucastka
	}
	return false;
    }
    
    public String toString()
    {
        return this.znacka;
    }
    
    public void setRychlost(double rychlost) throws PrekrocenaMaxRychlostException
    {
        if (rychlost < this.maxRychlost)
            this.rychlost = rychlost;
        else
        {
            this.rychlost = this.maxRychlost;
            throw new PrekrocenaMaxRychlostException(rychlost, this.maxRychlost);
        }
    }
    
    public double getRychlost()
    {
        return this.rychlost;
    }
    
    public double getMaxRychlost()
    {
        return this.maxRychlost;
    }
}
