/*
 * HistorickyVuz.java
 *
 * Created on 12. bezen 2007, 23:10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package automobily;

/**
 *
 * @author balikm1
 */
public class HistorickyVuz extends Auto {
    
    /** rok vyroby veterana */
    private int rokVyroby;
    
    /** Creates a new instance of HistorickyVuz */
    public HistorickyVuz(String znacka, double maxRychlost, double vaha, int pocetSedadel, int rokVyroby, double vykon) {
        super(znacka,maxRychlost,vaha,pocetSedadel);
        this.rokVyroby = rokVyroby;
        
        Motor motor = new Motor(vykon, "HIST"+String.valueOf(Math.random()*1000));
        this.pridejSoucastku(motor);
        Blinkr pravyBlinkr = new Blinkr("oranzova");
        this.pridejSoucastku(pravyBlinkr);
        Blinkr levyBlinkr = new Blinkr("oranzova");
        this.pridejSoucastku(levyBlinkr);
        for (int i = 0; i<4; i++)
        {
            Kolo kolo = new Kolo(100, 1);
            this.pridejSoucastku(kolo);
        }
    }
    
    public void jed(double hodin) throws RozbiteAutoException
    {
        int tmp_najeto = (int)this.najetoKm / 50;   // auto se rozbije kazdych 50 km.
        this.najetoKm += hodin * rychlost;
        if (tmp_najeto < ((int)this.najetoKm / 50))
        {
            Soucastka s = this.soucastky.get((int)Math.round(Math.random()*(this.soucastky.size()-1))); // nahodne rozbita soucastka
            throw new RozbiteAutoException(s);
        }
    }
    
    public void zatocVpravo(double polomer)
    {
        System.out.println("Zatacim vpravo o " + polomer + " stupnu.");
    }
    
    public void zatocVlevo(double polomer)
    {
        System.out.println("Zatacim vlevo o " + polomer + " stupnu.");
    }
    
    public void snizRychlost(double oKolik)
    {
        System.out.println("Snizuji rychlost.");
        try
        {
            this.setRychlost(this.getRychlost() - oKolik);
        } catch (PrekrocenaMaxRychlostException e) {}
    }
    
    public void zvysRychlost(double oKolik) throws PrekrocenaMaxRychlostException
    {
        System.out.println("Zvysuji rychlost.");
        this.setRychlost(this.getRychlost() + oKolik);
    }
}
