/*
 * SportovniAuto.java
 *
 * Created on 12. bezen 2007, 23:10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package automobily;

/**
 *
 * @author balikm1
 */
public class SportovniAuto extends Auto implements Zavodi{
    
    /** nadrz s NO<sup>2</sup> */
    boolean nitro;
    
    /** Creates a new instance of SportovniAuto */
    public SportovniAuto(String znacka, double maxRychlost, double vaha, int pocetSedadel, boolean nitro, double vykon) {
        super(znacka,maxRychlost,vaha,pocetSedadel);
        this.nitro = nitro;
        
        Motor motor = new Motor(vykon, "SPORT"+String.valueOf(Math.random()*1000));
        this.pridejSoucastku(motor);
        Blinkr pravyBlinkr = new Blinkr("oranzova");
        this.pridejSoucastku(pravyBlinkr);
        Blinkr levyBlinkr = new Blinkr("oranzova");
        this.pridejSoucastku(levyBlinkr);
        for (int i = 0; i<4; i++)
        {
            Kolo kolo = new Kolo(100, 1);
            this.pridejSoucastku(kolo);
        }
    }
    
    public void jed(double hodin) throws RozbiteAutoException
    {
        int tmp_najeto = (int)this.najetoKm / 1000;
        this.najetoKm += hodin * rychlost;
        if (tmp_najeto < ((int)this.najetoKm / 1000))
        {
            Soucastka s = this.soucastky.get((int)(Math.random()*this.soucastky.size()));
            throw new RozbiteAutoException(s);
        }
    }
    
    public void pouzijNitro() throws PrekrocenaMaxRychlostException
    {
        if (nitro)
        {
            this.setRychlost(this.getRychlost()+100);
            nitro = false;
        }
    }
    
    public void zatocVpravo(double polomer)
    {
        System.out.println("Zatacim vpravo o " + polomer + " stupnu.");
    }
    
    public void zatocVlevo(double polomer)
    {
        System.out.println("Zatacim vlevo o " + polomer + " stupnu.");
    }
    
    public void snizRychlost(double oKolik)
    {
        System.out.println("Brzdim.");
        try
        {
            this.setRychlost(this.getRychlost() - oKolik);
        } catch (PrekrocenaMaxRychlostException e) {}
    }
    
    public void zvysRychlost(double oKolik) throws PrekrocenaMaxRychlostException
    {
        System.out.println("Rychle akceleruju.");
        this.setRychlost(this.getRychlost() + oKolik);
    }
    
    public boolean jeRychlejsi(Zavodi a)
    {
        return this.getRychlost() > a.getRychlost();
    }
    
    public static Zavodi[] seradPodleRychlosti(Zavodi[] pole)
    {
        for (int i=pole.length; --i>=0; )
            for (int j=0; j<i; j++) {
                if (pole[j].jeRychlejsi(pole[j+1]))
                {
                    Zavodi temp = pole[j];
                    pole[j] = pole[j+1];
                    pole[j+1] = temp;
                }
            }
        
        return pole;
    }
}
